Package twisted :: Package spread :: Module pb :: Class AuthServ

[show private | hide private]
[frames | no frames]

## Class AuthServ

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       AuthServ

XXX

See also: `AuthRoot`

Method Summary
| `__init__(self, auth, broker)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| `mkchallenge(self, ident)`
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_username(self, username)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Generated by Epydoc 1.1 on Thu May 8 13:16:53 2003 | http://epydoc.sf.net